Bug 324911 - segv building ladspa-swh-plugins on ppc64 with -fPIC
segv building ladspa-swh-plugins on ppc64 with -fPIC
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
ppc64 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
Depends On:
Blocks: 225060
  Show dependency treegraph
Reported: 2007-10-09 10:18 EDT by Anthony Green
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:46:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2007-10-09 10:18:07 EDT
Description of problem:
segv when building new ladspa-swh-plugins on ppc...

 gcc -DHAVE_CONFIG_H -I. -I. -I. -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -fPIC -DPIC -Wall
-O3 -fomit-frame-pointer -fstrength-reduce -funroll-loops -ffast-math -fPIC
-DPIC -MT comb_1190.lo -MD -MP -MF .deps/comb_1190.Tpo -c comb_1190.c  -fPIC
-DPIC -o .libs/comb_1190.o
comb_1190.xml: In function 'runAddingComb':
comb_1190.xml:64: internal compiler error: Segmentation fault

If you remove the -fPIC in the spec file is builds as expected.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Build the rpm here: http://spindazzle.org/ladspa-swh-plugins-0.4.15-8.src.rpm
Actual results:
See above.

Expected results:
A binary rpm.

Additional info:
Comment 1 Jakub Jelinek 2008-01-01 07:59:07 EST
Can you reproduce this on F7/F8/rawhide?  FC6 is EOL...
There was a power6 tuning bug on ppc which might have caused this...
Comment 2 Bug Zapper 2008-04-04 03:37:41 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:46:56 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.